/*
 * orc.h - Output stRuct Content
 *
 * Written 2002 by Werner Almesberger, Caltech Netlab FAST project
 */


#ifndef ORC_H
#define ORC_H

#include <stdio.h>

#include "troll.h"

int output_sizeof(const struct troll *t);
void output_type(FILE *file,const struct troll *troll);
void output_data(FILE *file,const struct troll *troll,const void *data);
unsigned long output_lookup_unsigned(const struct troll *t,const void *data,
  ...);
long output_lookup_signed(const struct troll *t,const void *data,...);

#endif /* ORC_H */
